> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vector Index

> Fetch the vector index for the organization.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/knowledge/main-index
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/knowledge/main-index:
    get:
      tags:
        - Orgs Knowledge
      summary: Get Vector Index
      description: Fetch the vector index for the organization.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
      responses:
        '200':
          description: The vector index details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VectorIndexInfoSchema'
components:
  schemas:
    VectorIndexInfoSchema:
      type: object
      properties:
        id:
          type: string
        model:
          type: string
        contents:
          type: array
          items:
            $ref: '#/components/schemas/VectorContentInfoSchema'
        pending_count:
          type: number
          description: Number of pending vectors
        failed_count:
          type: number
          description: Number of failed vectors
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - model
        - contents
        - pending_count
        - failed_count
        - created_at
      description: Vector index schema
    VectorContentInfoSchema:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/VectorTypeSchema'
        contents_count:
          type: number
          description: Total number of contents
        chunks_count:
          type: number
        chunks_processed:
          type: number
        size_bytes:
          type: number
          description: Total size in bytes
      required:
        - type
        - contents_count
        - chunks_count
        - chunks_processed
        - size_bytes
      description: Vector storage items info
    VectorTypeSchema:
      type: string
      enum:
        - TEXT
        - FILE
        - URL
      description: Type of the vector content
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````